> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Import Stack Profile Endpoint



## OpenAPI

````yaml https://platform.ankra.app/openapi.json post /api/v1/org/stack-profiles/import
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/org/stack-profiles/import:
    post:
      tags:
        - Stack Profiles API
      summary: Import Stack Profile Endpoint
      operationId: import_stack_profile_endpoint_api_v1_org_stack_profiles_import_post
      parameters:
        - name: authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - name: x-ankra-organisation-id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ImportStackProfileRequest'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateStackProfileResult'
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ImportStackProfileRequest:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        category:
          type: string
          title: Category
          default: general
        tags:
          items:
            type: string
          type: array
          title: Tags
          default: []
        content_base64:
          type: string
          maxLength: 2097152
          title: Content Base64
        changelog:
          anyOf:
            - type: string
            - type: 'null'
          title: Changelog
      type: object
      required:
        - content_base64
      title: ImportStackProfileRequest
    CreateStackProfileResult:
      properties:
        profile:
          $ref: '#/components/schemas/StackProfileSummary'
        version:
          $ref: '#/components/schemas/StackProfileVersionDetail'
        warnings:
          items:
            type: string
          type: array
          title: Warnings
          default: []
      type: object
      required:
        - profile
        - version
      title: CreateStackProfileResult
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    StackProfileSummary:
      properties:
        id:
          type: string
          format: uuid4
          title: Id
        organisation_id:
          type: string
          format: uuid4
          title: Organisation Id
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        category:
          type: string
          title: Category
        tags:
          items:
            type: string
          type: array
          title: Tags
          default: []
        visibility:
          $ref: '#/components/schemas/StackProfileVisibility'
        latest_version:
          type: integer
          title: Latest Version
        current_version:
          type: integer
          title: Current Version
        source_cluster_id:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Source Cluster Id
        created_by_user_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Created By User Id
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - organisation_id
        - name
        - category
        - visibility
        - latest_version
        - current_version
        - created_at
        - updated_at
      title: StackProfileSummary
    StackProfileVersionDetail:
      properties:
        id:
          type: string
          format: uuid4
          title: Id
        version:
          type: integer
          title: Version
        channel:
          type: string
          title: Channel
        spec:
          $ref: '#/components/schemas/ResourceSpecification-Output'
        parameters:
          items:
            $ref: '#/components/schemas/ParameterSpec'
          type: array
          title: Parameters
          default: []
        redacted_secret_paths:
          additionalProperties:
            items:
              type: string
            type: array
          type: object
          title: Redacted Secret Paths
          default: {}
        changelog:
          anyOf:
            - type: string
            - type: 'null'
          title: Changelog
        created_by_user_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Created By User Id
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - version
        - channel
        - spec
        - created_at
      title: StackProfileVersionDetail
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    StackProfileVisibility:
      type: string
      enum:
        - organisation
        - public
      title: StackProfileVisibility
    ResourceSpecification-Output:
      properties:
        git_repository:
          anyOf:
            - oneOf:
                - $ref: '#/components/schemas/GitRepository'
                - $ref: '#/components/schemas/BitbucketCloudRepositoryExternal'
                - $ref: '#/components/schemas/BitbucketDcRepositoryExternal'
              discriminator:
                propertyName: provider
                mapping:
                  bitbucket_cloud:
                    $ref: '#/components/schemas/BitbucketCloudRepositoryExternal'
                  bitbucket_dc:
                    $ref: '#/components/schemas/BitbucketDcRepositoryExternal'
                  github:
                    $ref: '#/components/schemas/GitRepository'
            - type: 'null'
          title: Git Repository
        prometheus_metrics:
          anyOf:
            - $ref: '#/components/schemas/PrometheusMetrics'
            - type: 'null'
        prometheus_credential:
          anyOf:
            - $ref: '#/components/schemas/PrometheusCredential'
            - type: 'null'
        stacks:
          items:
            anyOf:
              - $ref: '#/components/schemas/FrontendStack-Output'
              - $ref: '#/components/schemas/Stack-Output'
          type: array
          title: Stacks
          default: []
        kubernetes:
          anyOf:
            - $ref: '#/components/schemas/Kubernetes'
            - type: 'null'
        provider:
          $ref: '#/components/schemas/CloudProvider'
          default: imported
        argo_cd:
          anyOf:
            - $ref: '#/components/schemas/ArgoCD'
            - type: 'null'
      type: object
      title: ResourceSpecification
    ParameterSpec:
      properties:
        name:
          type: string
          title: Name
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        type:
          $ref: '#/components/schemas/ParameterType'
          default: string
        required:
          type: boolean
          title: Required
          default: false
        default:
          anyOf:
            - type: string
            - type: 'null'
          title: Default
        enum_values:
          items:
            type: string
          type: array
          title: Enum Values
          default: []
        pattern:
          anyOf:
            - type: string
            - type: 'null'
          title: Pattern
        group:
          anyOf:
            - type: string
            - type: 'null'
          title: Group
        resource_kind:
          anyOf:
            - type: string
            - type: 'null'
          title: Resource Kind
        resource_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Resource Name
        path:
          anyOf:
            - type: string
            - type: 'null'
          title: Path
      type: object
      required:
        - name
      title: ParameterSpec
    GitRepository:
      properties:
        provider:
          type: string
          const: github
          title: Provider
          default: github
        credential_name:
          type: string
          title: Credential Name
        branch:
          type: string
          title: Branch
        repository:
          type: string
          title: Repository
      type: object
      required:
        - credential_name
        - branch
        - repository
      title: GitRepository
      description: >-
        GitHub Git repository request shape.


        Legacy `repository: 'owner/name'` format is preserved as the API
        contract because

        `ankra-cli` releases shipped to end-users send this shape. This class is
        the

        `__external_type__` for `GithubRepositoryResource`; renaming or
        restructuring

        the fields is a permanent breaking change and is forbidden.
    BitbucketCloudRepositoryExternal:
      properties:
        provider:
          type: string
          const: bitbucket_cloud
          title: Provider
          default: bitbucket_cloud
        credential_name:
          type: string
          title: Credential Name
        branch:
          type: string
          title: Branch
        workspace:
          type: string
          title: Workspace
        repo_slug:
          type: string
          title: Repo Slug
      type: object
      required:
        - credential_name
        - branch
        - workspace
        - repo_slug
      title: BitbucketCloudRepositoryExternal
    BitbucketDcRepositoryExternal:
      properties:
        provider:
          type: string
          const: bitbucket_dc
          title: Provider
          default: bitbucket_dc
        credential_name:
          type: string
          title: Credential Name
        branch:
          type: string
          title: Branch
        project_key:
          type: string
          title: Project Key
        repo_slug:
          type: string
          title: Repo Slug
        instance_url:
          type: string
          title: Instance Url
      type: object
      required:
        - credential_name
        - branch
        - project_key
        - repo_slug
        - instance_url
      title: BitbucketDcRepositoryExternal
    PrometheusMetrics:
      properties:
        endpoint:
          type: string
          title: Endpoint
        credential_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Credential Name
        flavor:
          anyOf:
            - type: string
            - type: 'null'
          title: Flavor
      type: object
      required:
        - endpoint
      title: PrometheusMetrics
    PrometheusCredential:
      properties:
        name:
          type: string
          title: Name
        username:
          anyOf:
            - type: string
            - type: 'null'
          title: Username
        password:
          anyOf:
            - type: string
            - type: 'null'
          title: Password
        token:
          anyOf:
            - type: string
            - type: 'null'
          title: Token
      type: object
      required:
        - name
      title: PrometheusCredential
    FrontendStack-Output:
      properties:
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        description_from_file:
          anyOf:
            - type: string
            - type: 'null'
          title: Description From File
        variables:
          additionalProperties:
            type: string
          type: object
          title: Variables
          default: {}
        manifests:
          items:
            anyOf:
              - $ref: '#/components/schemas/FrontendManifest-Output'
              - $ref: '#/components/schemas/Manifest'
          type: array
          title: Manifests
          default: []
        addons:
          items:
            anyOf:
              - $ref: '#/components/schemas/FrontendAddon-Output'
              - $ref: '#/components/schemas/Addon-Output'
          type: array
          title: Addons
          default: []
        applications:
          items:
            anyOf:
              - $ref: '#/components/schemas/FrontendApplication-Output'
              - $ref: '#/components/schemas/Application-Output'
          type: array
          title: Applications
          default: []
        state:
          anyOf:
            - $ref: '#/components/schemas/ResourceState'
            - type: 'null'
        delete_permanently:
          type: boolean
          title: Delete Permanently
          default: false
        draft_id:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Draft Id
        jobs:
          items:
            $ref: >-
              #/components/schemas/cluster_engine__external_resource_representation__SchedulerJob
          type: array
          title: Jobs
          default: []
        is_draft_only:
          type: boolean
          title: Is Draft Only
          default: false
        lifecycle:
          anyOf:
            - $ref: '#/components/schemas/StackLifecycle'
            - type: 'null'
        has_encrypted_values:
          type: boolean
          title: Has Encrypted Values
          default: false
      type: object
      required:
        - name
      title: FrontendStack
    Stack-Output:
      properties:
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        description_from_file:
          anyOf:
            - type: string
            - type: 'null'
          title: Description From File
        variables:
          additionalProperties:
            type: string
          type: object
          title: Variables
          default: {}
        manifests:
          items:
            anyOf:
              - $ref: '#/components/schemas/FrontendManifest-Output'
              - $ref: '#/components/schemas/Manifest'
          type: array
          title: Manifests
          default: []
        addons:
          items:
            anyOf:
              - $ref: '#/components/schemas/FrontendAddon-Output'
              - $ref: '#/components/schemas/Addon-Output'
          type: array
          title: Addons
          default: []
        applications:
          items:
            anyOf:
              - $ref: '#/components/schemas/FrontendApplication-Output'
              - $ref: '#/components/schemas/Application-Output'
          type: array
          title: Applications
          default: []
      type: object
      required:
        - name
      title: Stack
    Kubernetes:
      properties:
        version:
          type: string
          title: Version
          default: 0.0.0
      type: object
      title: Kubernetes
    CloudProvider:
      type: string
      enum:
        - aws
        - imported
        - hetzner
        - ovh
        - upcloud
      title: CloudProvider
    ArgoCD:
      properties:
        namespace:
          type: string
          title: Namespace
        version:
          type: string
          title: Version
      type: object
      required:
        - namespace
        - version
      title: ArgoCD
    ParameterType:
      type: string
      enum:
        - string
        - number
        - boolean
        - enum
        - secret
      title: ParameterType
    FrontendManifest-Output:
      properties:
        name:
          type: string
          title: Name
        namespace:
          anyOf:
            - type: string
            - type: 'null'
          title: Namespace
        manifest_base64:
          anyOf:
            - type: string
            - type: 'null'
          title: Manifest Base64
        parents:
          items:
            $ref: '#/components/schemas/Parent'
          type: array
          title: Parents
          default: []
        dependencies_override:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Dependencies Override
        from_file:
          anyOf:
            - type: string
            - type: 'null'
          title: From File
        encrypted_paths:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Encrypted Paths
        force:
          type: boolean
          title: Force
          default: false
        auto_remediate:
          type: boolean
          title: Auto Remediate
          default: false
        delete_permanently:
          type: boolean
          title: Delete Permanently
          default: false
        state:
          anyOf:
            - $ref: '#/components/schemas/ResourceState'
            - type: 'null'
        position:
          anyOf:
            - $ref: '#/components/schemas/FrontendStackItemPosition'
            - type: 'null'
        node_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Node Id
        job_configuration:
          anyOf:
            - $ref: '#/components/schemas/JobConfiguration'
            - type: 'null'
        draft:
          type: boolean
          title: Draft
          default: false
        job:
          anyOf:
            - $ref: >-
                #/components/schemas/cluster_engine__external_resource_representation__SchedulerJob
            - type: 'null'
        resource_id:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Resource Id
        version_history:
          items:
            $ref: '#/components/schemas/VersionHistoryEntry'
          type: array
          title: Version History
          default: []
      type: object
      required:
        - name
      title: FrontendManifest
    Manifest:
      properties:
        name:
          type: string
          title: Name
        namespace:
          anyOf:
            - type: string
            - type: 'null'
          title: Namespace
        manifest_base64:
          anyOf:
            - type: string
            - type: 'null'
          title: Manifest Base64
        parents:
          items:
            $ref: '#/components/schemas/Parent'
          type: array
          title: Parents
          default: []
        dependencies_override:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Dependencies Override
        from_file:
          anyOf:
            - type: string
            - type: 'null'
          title: From File
        encrypted_paths:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Encrypted Paths
        force:
          type: boolean
          title: Force
          default: false
        auto_remediate:
          type: boolean
          title: Auto Remediate
          default: false
      type: object
      required:
        - name
      title: Manifest
    FrontendAddon-Output:
      properties:
        name:
          type: string
          title: Name
        chart_name:
          type: string
          title: Chart Name
        chart_version:
          type: string
          title: Chart Version
        registry_name:
          type: string
          title: Registry Name
        registry_url:
          type: string
          title: Registry Url
        namespace:
          type: string
          title: Namespace
        registry_credential_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Registry Credential Name
        configuration:
          anyOf:
            - $ref: '#/components/schemas/AddonStandaloneConfiguration'
            - type: 'null'
        parents:
          items:
            $ref: '#/components/schemas/Parent'
          type: array
          title: Parents
          default: []
        dependencies_override:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Dependencies Override
        settings:
          anyOf:
            - $ref: '#/components/schemas/AddonSettings-Output'
            - type: 'null'
        namespace_migration_strategy:
          anyOf:
            - $ref: '#/components/schemas/NamespaceMigrationStrategy'
            - type: 'null'
        health:
          anyOf:
            - type: string
            - type: 'null'
          title: Health
        state:
          anyOf:
            - $ref: '#/components/schemas/ResourceState'
            - type: 'null'
        chart_icon:
          anyOf:
            - type: string
            - type: 'null'
          title: Chart Icon
        delete_permanently:
          type: boolean
          title: Delete Permanently
          default: false
        force_delete:
          type: boolean
          title: Force Delete
          default: false
        intent_requested_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Intent Requested At
        position:
          anyOf:
            - $ref: '#/components/schemas/FrontendStackItemPosition'
            - type: 'null'
        node_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Node Id
        job_configuration:
          anyOf:
            - $ref: '#/components/schemas/JobConfiguration'
            - type: 'null'
        draft:
          type: boolean
          title: Draft
          default: false
        job:
          anyOf:
            - $ref: >-
                #/components/schemas/cluster_engine__external_resource_representation__SchedulerJob
            - type: 'null'
        resource_id:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Resource Id
        version_history:
          items:
            $ref: '#/components/schemas/VersionHistoryEntry'
          type: array
          title: Version History
          default: []
      type: object
      required:
        - name
        - chart_name
        - chart_version
        - registry_name
        - registry_url
        - namespace
      title: FrontendAddon
    Addon-Output:
      properties:
        name:
          type: string
          title: Name
        chart_name:
          type: string
          title: Chart Name
        chart_version:
          type: string
          title: Chart Version
        registry_name:
          type: string
          title: Registry Name
        registry_url:
          type: string
          title: Registry Url
        namespace:
          type: string
          title: Namespace
        registry_credential_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Registry Credential Name
        configuration:
          anyOf:
            - $ref: '#/components/schemas/AddonStandaloneConfiguration'
            - type: 'null'
        parents:
          items:
            $ref: '#/components/schemas/Parent'
          type: array
          title: Parents
          default: []
        dependencies_override:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Dependencies Override
        settings:
          anyOf:
            - $ref: '#/components/schemas/AddonSettings-Output'
            - type: 'null'
        namespace_migration_strategy:
          anyOf:
            - $ref: '#/components/schemas/NamespaceMigrationStrategy'
            - type: 'null'
      type: object
      required:
        - name
        - chart_name
        - chart_version
        - registry_name
        - registry_url
        - namespace
      title: Addon
    FrontendApplication-Output:
      properties:
        name:
          type: string
          title: Name
        platform_application_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Platform Application Id
        platform_application_version:
          anyOf:
            - type: string
            - type: 'null'
          title: Platform Application Version
        namespace:
          anyOf:
            - type: string
            - type: 'null'
          title: Namespace
        manifest_base64:
          anyOf:
            - type: string
            - type: 'null'
          title: Manifest Base64
        parameters:
          additionalProperties:
            type: string
          type: object
          title: Parameters
          default: {}
        parents:
          items:
            $ref: '#/components/schemas/Parent'
          type: array
          title: Parents
          default: []
        dependencies_override:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Dependencies Override
        from_file:
          anyOf:
            - type: string
            - type: 'null'
          title: From File
        encrypted_paths:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Encrypted Paths
        settings:
          anyOf:
            - $ref: '#/components/schemas/AddonSettings-Output'
            - type: 'null'
        health:
          anyOf:
            - type: string
            - type: 'null'
          title: Health
        state:
          anyOf:
            - $ref: '#/components/schemas/ResourceState'
            - type: 'null'
        delete_permanently:
          type: boolean
          title: Delete Permanently
          default: false
        position:
          anyOf:
            - $ref: '#/components/schemas/FrontendStackItemPosition'
            - type: 'null'
        node_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Node Id
        job_configuration:
          anyOf:
            - $ref: '#/components/schemas/JobConfiguration'
            - type: 'null'
        draft:
          type: boolean
          title: Draft
          default: false
        job:
          anyOf:
            - $ref: >-
                #/components/schemas/cluster_engine__external_resource_representation__SchedulerJob
            - type: 'null'
        resource_id:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Resource Id
        version_history:
          items:
            $ref: '#/components/schemas/VersionHistoryEntry'
          type: array
          title: Version History
          default: []
      type: object
      required:
        - name
      title: FrontendApplication
    Application-Output:
      properties:
        name:
          type: string
          title: Name
        platform_application_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Platform Application Id
        platform_application_version:
          anyOf:
            - type: string
            - type: 'null'
          title: Platform Application Version
        namespace:
          anyOf:
            - type: string
            - type: 'null'
          title: Namespace
        manifest_base64:
          anyOf:
            - type: string
            - type: 'null'
          title: Manifest Base64
        parameters:
          additionalProperties:
            type: string
          type: object
          title: Parameters
          default: {}
        parents:
          items:
            $ref: '#/components/schemas/Parent'
          type: array
          title: Parents
          default: []
        dependencies_override:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Dependencies Override
        from_file:
          anyOf:
            - type: string
            - type: 'null'
          title: From File
        encrypted_paths:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Encrypted Paths
        settings:
          anyOf:
            - $ref: '#/components/schemas/AddonSettings-Output'
            - type: 'null'
      type: object
      required:
        - name
      title: Application
    ResourceState:
      type: string
      enum:
        - creating
        - updating
        - stopping
        - up
        - down
      title: ResourceState
    cluster_engine__external_resource_representation__SchedulerJob:
      properties:
        job_id:
          type: string
          format: uuid4
          title: Job Id
        name:
          type: string
          title: Name
        status:
          $ref: '#/components/schemas/JobStatus'
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - job_id
        - name
        - status
        - created_at
        - updated_at
      title: SchedulerJob
    StackLifecycle:
      type: string
      enum:
        - draft_only
        - deployed_clean
        - deployed_dirty
        - tombstoned
      title: StackLifecycle
    Parent:
      properties:
        name:
          type: string
          title: Name
        kind:
          type: string
          title: Kind
      type: object
      required:
        - name
        - kind
      title: Parent
    FrontendStackItemPosition:
      properties:
        x:
          type: number
          title: X
        'y':
          type: number
          title: 'Y'
      type: object
      required:
        - x
        - 'y'
      title: FrontendStackItemPosition
    JobConfiguration:
      properties:
        create_job_timeout:
          type: integer
          title: Create Job Timeout
          default: 420
        read_job_timeout:
          type: integer
          title: Read Job Timeout
          default: 30
        update_job_timeout:
          type: integer
          title: Update Job Timeout
          default: 420
        delete_job_timeout:
          type: integer
          title: Delete Job Timeout
          default: 300
      type: object
      title: JobConfiguration
    VersionHistoryEntry:
      properties:
        version_id:
          type: string
          title: Version Id
        created_at:
          type: string
          format: date-time
          title: Created At
        definition:
          title: Definition
        delta:
          anyOf:
            - items: {}
              type: array
            - type: 'null'
          title: Delta
        user_id:
          type: string
          title: User Id
        external_user:
          anyOf:
            - type: string
            - type: 'null'
          title: External User
        change_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Change Type
      type: object
      required:
        - version_id
        - created_at
        - definition
        - delta
        - user_id
      title: VersionHistoryEntry
    AddonStandaloneConfiguration:
      properties:
        values_base64:
          anyOf:
            - type: string
            - type: 'null'
          title: Values Base64
        from_file:
          anyOf:
            - type: string
            - type: 'null'
          title: From File
        encrypted_paths:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Encrypted Paths
      type: object
      title: AddonStandaloneConfiguration
    AddonSettings-Output:
      properties:
        sync_policy:
          $ref: '#/components/schemas/AddonSyncPolicy'
          default:
            automated: true
            auto_prune: true
            self_heal: true
            sync_options:
              - CreateNamespace=true
              - ServerSideApply=true
        sync_window:
          anyOf:
            - $ref: '#/components/schemas/AddonSyncWindow'
            - type: 'null'
        ignore_differences:
          items:
            $ref: '#/components/schemas/IgnoreDifference'
          type: array
          title: Ignore Differences
          default: []
        retry_policy:
          $ref: '#/components/schemas/AddonRetryPolicy'
          default:
            limit: 5
            backoff:
              duration: 5s
              factor: 2
              max_duration: 3m
        revision_history_limit:
          type: integer
          title: Revision History Limit
          default: 10
        strict_health_check:
          type: boolean
          title: Strict Health Check
          default: false
        rollback_on_failure:
          type: boolean
          title: Rollback On Failure
          default: true
        helm_wait_timeout_seconds:
          anyOf:
            - type: integer
            - type: 'null'
          title: Helm Wait Timeout Seconds
        keep_failed_resources_for_debug:
          type: boolean
          title: Keep Failed Resources For Debug
          default: false
      type: object
      title: AddonSettings
    NamespaceMigrationStrategy:
      type: string
      enum:
        - keep_old
        - move_install_first
        - move_uninstall_first
      title: NamespaceMigrationStrategy
    JobStatus:
      type: string
      enum:
        - running
        - success
        - failed
        - timeout
        - pending
        - blocked
        - cancelling
        - cancelled
      title: JobStatus
    AddonSyncPolicy:
      properties:
        automated:
          type: boolean
          title: Automated
          default: true
        auto_prune:
          type: boolean
          title: Auto Prune
          default: true
        self_heal:
          type: boolean
          title: Self Heal
          default: true
        sync_options:
          items:
            type: string
          type: array
          title: Sync Options
          default:
            - CreateNamespace=true
            - ServerSideApply=true
      type: object
      title: AddonSyncPolicy
    AddonSyncWindow:
      properties:
        enabled:
          type: boolean
          title: Enabled
          default: false
        schedule:
          anyOf:
            - type: string
            - type: 'null'
          title: Schedule
        duration:
          anyOf:
            - type: string
            - type: 'null'
          title: Duration
        timezone:
          type: string
          title: Timezone
          default: UTC
      type: object
      title: AddonSyncWindow
    IgnoreDifference:
      properties:
        group:
          anyOf:
            - type: string
            - type: 'null'
          title: Group
        kind:
          anyOf:
            - type: string
            - type: 'null'
          title: Kind
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        namespace:
          anyOf:
            - type: string
            - type: 'null'
          title: Namespace
        json_pointers:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Json Pointers
        jq_path_expressions:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Jq Path Expressions
        managed_fields_managers:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Managed Fields Managers
      type: object
      title: IgnoreDifference
    AddonRetryPolicy:
      properties:
        limit:
          type: integer
          title: Limit
          default: 5
        backoff:
          $ref: '#/components/schemas/AddonRetryBackoff'
          default:
            duration: 5s
            factor: 2
            max_duration: 3m
      type: object
      title: AddonRetryPolicy
    AddonRetryBackoff:
      properties:
        duration:
          type: string
          title: Duration
          default: 5s
        factor:
          type: integer
          title: Factor
          default: 2
        max_duration:
          type: string
          title: Max Duration
          default: 3m
      type: object
      title: AddonRetryBackoff

````